#ifndef FILES_LOADED
#define FILES_LOADED 1
/* Files.h */
#include "AlgoRhythms.h"

extern int Save_File (char *FileName, struct timeval *TotalDuration, 
	const int *ScaleLength, const int Scale[], const int *voices,
	const int *tempo,
	const PARAMETER *Pitch, const PARAMETER *Thickness,
	const PARAMETER *Dynamics,
	const PARAMETER *Duration,
	const NOTEEVENT *Events,
	unsigned int MinNoteLen, unsigned int MaxNoteLen);
	
extern int Read_File (char *FileName, struct timeval *TotalDuration,  
	int *ScaleLength, int Scale[], int *voices, int *tempo,
	PARAMETER *Pitch, PARAMETER *Thickness,
	PARAMETER *Dynamics, PARAMETER *Duration,
	NOTEEVENT *Events,
	unsigned int *MinNoteLen, unsigned int *MaxNoteLen);

#endif
