#ifndef MUSICSERIAL_LOADED
#define MUSICSERIAL_LOADED 1
/* MusicSerial.h */

#include	"devices/serial.h"
#include	"proto/exec.h"
#include	"exec/devices.h"

#define STARTFUNCT   0
#define STOPFUNCT    1
#define CLOCKFUNCT   2
#define CONTFUNCT    (3)
#include "AlgoRhythms.h"

extern int midi_addr;

extern void Open_MIDI_Port (void);
extern int WriteSer (struct IOExtSer *io, char *data, int length);
extern void PlayNoteOn (const NOTEEVENT *PlayEvent);
extern void SendFunction (int Function);
extern void StopMIDI (void);
extern void StopAllNotes (NOTEEVENT NotestoStop[]);

extern int SetParams (struct IOExtSer *io,unsigned long rbuf_len,
	unsigned char rlen, unsigned char wlen, unsigned long brk,
	unsigned long baud, unsigned char sf,
	unsigned long ta0, unsigned long ta1);

#endif
